List users in the administrator's organization
curl --request GET \
--url https://harness.example.com/admin/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"email": "developer@example.com",
"role": "admin",
"active": true,
"status": "active",
"protected": true,
"provisioning_source": "local",
"managed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 2,
"per_page": 50,
"total": 1,
"total_pages": 1
}User management
List users in the administrator's organization
Includes active, suspended, and access-removed users so historical ownership remains visible.
GET
/
admin
/
users
List users in the administrator's organization
curl --request GET \
--url https://harness.example.com/admin/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"email": "developer@example.com",
"role": "admin",
"active": true,
"status": "active",
"protected": true,
"provisioning_source": "local",
"managed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 2,
"per_page": 50,
"total": 1,
"total_pages": 1
}Authorizations
oauthDevicedashboardSession
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Case-insensitive email or subject substring
Maximum string length:
200Available options:
admin, member Available options:
active, suspended, removed Available options:
local, scim 